dirfile2ascii(1)

NAME
dirfile2ascii — output dirfile database vectors as ASCII text

SYNOPSIS

dirfile2ascii [ OPTION ]... DIRFILE [ [ -a | -A | -e | -E | -F | -g | -G | -o | -i | -u | -x | -X ] FIELD ]...

DESCRIPTION
Fetches data from a dirfile(5) database specified by DIRFILE and writes it as ASCII to standard output. Any number of vector FIELDs may be specified. Each specified field is printed in a separate column.

Mandatory arguments to long options are mandatory for short options too.

-d, --delimeter=delim
    separate columns by delim. (Default: a single space.)

-f, --first-frame=first_frame-last_frame
    read from frame first_frame to frame last_frame (inclusive).

-f, --first-frame=first_frame:nframes
    equivalent to --first-frame=first_frame --num-frames=nframes.

-f, --first-frame=first_frame
    If first_frame >= 0, start reading at frame first_frame. If first_frame is -1 and --num-frames=nframes is specified, read the last nframes frames. If --first-frame is not specified, reading starts at frame zero.

-n, --num-frames=nframes
    read at most nframes frames. If not specified, or if nframes = 0, all frames to the end-of-field are read.

-p, --precision=format
    use format to format output. format may contain any of the flag characters, a field width, and/or a precision as specified in printf(3). It may not contain a length modifier.

-q, --quiet
    don't write diagnostic messages on standard error. (This is the default behaviour).

-s, --skip=frame_skip
    if frame_skip > 0, output only one sample for every frame_skip frames.

-v, --verbose
    write diagnostic messages on standard error.

-z, --fill=STRING
    Fill columns which go past the end of their corresponding field with the string STRING. The default behaviour is to fill columns with floating-point conversions with NaN and columns with integer conversion with 0, which mirrors what occurs when an attempt is made to print data from before the start of a field. (Note: the default behaviour cannot be reproduced with this option, since STRING is applied to all columns, regardless of conversion type.)

In addition to the above, each FIELD argument may be preceded by a short option, one of: -a, -A, -e, -E, -F, -g, -G, -i, -o, -u, -x, -X, indicating the conversion to be used. See printf(3) for the meaning of these conversion specifiers. The output flags, width, and precision may be specified by using --precision. If no conversion specifier is given, %f is used.

For conversion specifiers %a, %A, %e, %E, %f, %F, %g, %G, data is read from the dirfile as double precision floats. For conversion specifier %i, data is read as 64-bit signed integers. For conversion specifiers %o, %u, %x, %X, data is read as 64-bit unsigned integers.

LIMITATIONS
No native support for printing complex data is provided. This may be worked around by using dirfile(5) representation suffixes. For example, the command

    dirfile2ascii DIRFILE FIELD.r FIELD.i

will print the real and imaginary parts of the complex valued field FIELD in the first and second columns, respectively.

AUTHOR

dirfile2ascii was written by Matthew Truch and D. V. Wiebe.

REPORTING BUGS

Please send reports of bugs to getdata-devel@lists.sourceforge.net

The GetData home page: <http://getdata.sourceforge.net/>

COPYRIGHT

Copyright © 2010 Matthew Truch.

dirfile2ascii is licenced under the GNU LPGL version 2.1 or later.

This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
defile(1), dirfile(5), printf(3)